  <app-navbar></app-navbar>

        <!--slider start-->
        <div class="container mt-5 mb-5" *ngIf="trackRec">
           <div class="row" *ngFor="let track of trackRec.products">
              <div class="mt-3">
                 <div class="col-lg-5 col-md-6 col-sm-8 col-12 m-a">
                    <section class="root">
                       <h4 class="mb-0">Numero de suivi: {{trackingid}}</h4><br>
                       <h5>{{track.product.title}}</h5>
                       <div class="order-track">
                          <div class="order-track-step">
                             <div class="order-track-status">
                                <span class="order-track-status-dot">
                                <i class="fa-solid fa-check"></i>
                                </span>
                                <span class="order-track-status-line"></span>
                             </div>
                             <div class="order-track-text">
                                <!--<p class="order-track-text-stat">Label Created</p>-->
                                <span class="order-track-text-sub">Commandé le {{orderdate | date:'EEEE, MMMM d, y'}}</span>
                             </div>
                          </div>
                          <div class="order-track-step">
                             <div class="order-track-status">
                                <span class="order-track-status-dot">
                                 <i class="fa-solid fa-check" *ngIf="track.readytopickup"></i>
                                </span>
                                <span class="order-track-status-line"></span>
                             </div>
                             <div class="order-track-text">
                                <!--<p class="order-track-text-stat"> Shipped - 123 Start St.
                                   Seattle, WA </p>-->
                                <span class="order-track-text-sub">Expédié </span>
                             </div>
                          </div>
                          <div class="order-track-step">
                             <div class="order-track-status">
                                <span class="order-track-status-dot">
                                 <i class="fa-solid fa-check" *ngIf="track.delivery_status == 1 || track.delivery_status == 3"></i>
                                </span>
                                <span class="order-track-status-line"></span>
                             </div>
                             <div class="order-track-text">
                                <!--<p class="order-track-text-stat"> Estimated - 456 End St.
                                   New York City, NY</p>-->
                                <span class="order-track-text-sub">Livraison en cours
 
                                </span>
                             </div>
                          </div>
                          <div class="order-track-step">
                             <div class="order-track-status">
                                <span class="order-track-status-dot">
                                 <i class="fa-solid fa-check" *ngIf="track.delivery_status == 3"></i>
                                </span>
                                <span class="order-track-status-line"></span>
                             </div>
                             <div class="order-track-text">
                                <!--<p class="order-track-text-stat"> Estimated - 456 End St.
                                   New York City, NY</p>-->
                                <span class="order-track-text-sub">Livré le  {{track.delivery_date | date:'EEEE, MMMM d, y'}}</span>
                             </div>
                          </div>
                       </div>
                    </section>
                     
                 </div>
              </div>
           </div>
        </div>

<app-footer></app-footer>
